
package de.ivu.elect.presentation.person.table;

import static java.util.Collections.emptyList;

import de.ivu.elect.business.person.entity.Personendaten;
import de.ivu.elect.business.person.entity.PersonendatenConstants;
import de.ivu.elect.jee.faces.Messages;
import de.ivu.elect.jee.presentation.dynamictable.ColumnType;

public class PersonendatenBerufColumn<E extends Personendaten> extends AbstractPersonendatenColumn<E> {

  private static final long serialVersionUID = 1L;

  public PersonendatenBerufColumn(Messages messages) {
    super("Personendaten-Berufe", messages, PersonendatenConstants.MESSAGE_KEY_BERUF_EINZAHL, ColumnType.COLLECTION, personendaten -> {
      if (personendaten != null) {
        return personendaten.getBerufAsList(); // ELECT-4071
      }

      return emptyList();
    });
  }
}
